Modify

Opened 7 years ago

Closed 3 years ago

#7804 closed defect (moved_to_github)

ruby-gems depends on ruby-core @ OPKG

Reported by: anonymous Owned by: jow
Priority: low Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc:

Description

ruby-core is not installed when installing 'ruby' or 'ruby-gems' packages.

effect: the 'gem' command cannot execute because it is missing requires

fix: opkg install ruby-core

Attachments (0)

Change History (8)

comment:1 Changed 7 years ago by jow

  • Owner changed from developers to jow
  • Status changed from new to accepted

comment:2 Changed 4 years ago by jow

  • Milestone changed from Backfire 10.03.2 to Chaos Calmer (trunk)

Milestone Backfire 10.03.2 deleted

comment:3 Changed 3 years ago by anonymous

This is not present anymore.
Current ruby-gems in github installs ruby and ruby-core

comment:4 Changed 3 years ago by luizluca@…

This is not present anymore.
Current ruby-gems in github installs ruby and ruby-core

comment:5 Changed 3 years ago by florian

  • Resolution set to fixed
  • Status changed from accepted to closed

comment:6 Changed 3 years ago by luizluca@…

Update: Sorry, the problem is still present. I'm working on a patch in order to fix this in trunk and BB.

ruby-core depends on ruby that might depend on ruby-core. So, the easiest solution is to merge ruby and ruby-core as none of them work alone. This will fix both ruby and ruby-gems. Also, ruby-gems misses some dependencies as ruby-cgi, ruby-enc, ruby-doc and ruby-json that prevents it to work as the ruby package manager.

comment:7 Changed 3 years ago by florian

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:8 Changed 3 years ago by jogo

  • Resolution set to moved_to_github
  • Status changed from reopened to closed

ruby is now maintained here: https://github.com/openwrt/packages.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.